# This file is intended for testing various features as they are
# implemented. The code here is not intended to be sensible.

require_relative "setup_environment"
require_relative "scrap_extension"

class ScrapApplication < Pretzel::Core
  extends Pretzel::Extension::Templating
  extends Pretzel::Extension::Scrap
end

ScrapApplication.get "/" do
  halt 500
end

ScrapApplication.get "/yolo/" do
  render :index
end

ScrapApplication.get "/test/:name" do
  render :"complex/view_with_locals", {
    "name" => parameters["name"]
  }
end

Rack::Handler::Thin.run ScrapApplication.new