

module Pretzel
  module Extension

    class Scrap
      module Instance
        def some_instance_stuff(text)
          p text
        end
      end

      module App
        def some_class_stuff(text)
          p "CLASS: #{text}"
        end
      end

      module Routes
        def self.included(app)
          app.get "/ext/test" do
            render :index
          end
        end
      end

      module Templates
        module TestFilter
          def tester(input)
            input.reverse!
          end
        end

        Liquid::Template.register_filter(TestFilter)
      end
    end

  end
end