## Filters

Filters are functions that can handle things for you whenever a route is called
The Pretzel suite has two seperate filters: `before` and `after`.

They are declared very similar to routes:

```ruby
  Application.before do
    # Do this before every route
  end

  Application.after do
    # Do this after every route
  end
```

Those filters are executed before and after each call to a route. In the
function blocks you have access to two objects:

  * response - A Rack::Response
  * request - A Rack::Request

Thus these filters can be used to modify headers, request data and such as you
see fit. Quite handy!
