require_relative "lib/pretzel/version"

Gem::Specification.new do |s|
  s.name        = "pretzel"
  s.version     = Pretzel::VERSION
  s.licenses    = "MIT"
  s.summary     = "The Pretzel web application core"
  s.description = "Web development suite based on the ideas of Nancy and Sinatra"
  s.authors     = ["Richard Blechinger"]
  s.email       = ["richard@blechi.at"]
  s.homepage    = "http://github.com/pretzelhands/pretzel"

  s.required_ruby_version = ">= 2.0.0"

  s.files = `git ls-files`.split("\n")
  s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.require_paths = ["lib"]

  s.add_runtime_dependency("rack",         "~> 1.6")
  s.add_runtime_dependency("thin",         "~> 1.6")
  s.add_runtime_dependency("liquid",       "~> 3.0")
  s.add_runtime_dependency("pretzel-cli",  "~> 0")

  s.add_development_dependency("rack-test", "~> 0.6")
  s.add_development_dependency("minitest",  "~> 5.5")
end